## wings3d 2.1.5

=== Makefile ===
#
#  Makefile --
#
#     Top-level Makefile for building Wings 3D.
#
#  Coepyright (c) 2001-2011 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
.PHONY: all debug clean lang

all:
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE))
	(cd e3d; $(MAKE))
	(cd plugins_src; $(MAKE))
	(cd icons; $(MAKE))

debug:
	(cd intl_tools; $(MAKE) debug)
	(cd src; $(MAKE) debug)
	(cd e3d; $(MAKE) debug)
	(cd plugins_src; $(MAKE) debug)
	(cd icons; $(MAKE) debug)

clean:
	(cd intl_tools; $(MAKE) clean)
	(cd src; $(MAKE) clean)
	(cd e3d; $(MAKE) clean)
	(cd plugins_src; $(MAKE) clean)
	(cd icons; $(MAKE) clean)

lang: all
	(cd intl_tools; $(MAKE))
	(cd src; $(MAKE) lang)
	(cd plugins_src; $(MAKE) lang)
	escript tools/verify_language_files .

#
# Build installer for Windows.
#
.PHONY: win32
win32: all lang
	(cd win32; $(MAKE))
	escript tools/release

#
# Build a package for MacOS X.
#
.PHONY: macosx
macosx: all lang
	escript tools/release

#
# Build package for Unix.
#
.PHONY: unix
unix: all lang
	escript tools/release

#
# Build the source distribution.
#

.PHONY: .FORCE-WINGS-VERSION-FILE
vsn.mk: .FORCE-WINGS-VERSION-FILE
	@./WINGS-VERSION-GEN

-include vsn.mk

WINGS_TARNAME=wings-$(WINGS_VSN)
.PHONY: dist
dist:
	git archive --format=tar \
		--prefix=$(WINGS_TARNAME)/ HEAD^{tree} > $(WINGS_TARNAME).tar
	@mkdir -p $(WINGS_TARNAME)
	@echo $(WINGS_VSN) > $(WINGS_TARNAME)/version
	tar rf $(WINGS_TARNAME).tar $(WINGS_TARNAME)/version
	@rm -r $(WINGS_TARNAME)
	bzip2 -f -9 $(WINGS_TARNAME).tar

=== e3d/Makefile ===
#
#  Makefile --
#
#     Makefile for building the E3D modules.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
EBIN=../ebin
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS= +debug_info
endif

MODULES= \
	e3d_image \
	e3d_mesh \
	e3d_file \
	e3d_obj \
	e3d_tds \
	e3d_transform \
	e3d_mat \
	e3d_util \
	e3d_vec \
	e3d_q \
	e3d_qbvh \
	e3d_bv \
	e3d_kd3 \
	orig_kd3 \
	e3d__tri_quad \
	e3d__meshclean \
	e3d__bmp \
	e3d__tga \
	e3d__png \
	e3d__tif \
	e3d_bzw

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) 

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------

$(TARGET_FILES): e3d.hrl

=== icons/Makefile ===
#
#  Makefile --
#
#     Makefile for building icons for Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.7 2006/08/23 02:56:49 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
EBIN=../ebin
ERLC=erlc

ICONSETS= \
	classic \
	bluecube \
	purpletube

TARGET_FILES = $(ICONSETS:%=$(EBIN)/wings_icon_%.bundle)

GEN_PS_ICONS=$(wildcard orig/bluecube-assests/*.png)
PS_ICONS=$(patsubst %,bluecube/%,$(notdir $(GEN_PS_ICONS)))

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += -pa ../ebin
ERL_COMPILE_FLAGS += -Werror +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug: collect_bmp.beam $(TARGET_FILES)

bluecube/%.png: orig/bluecube-assests/%.png
	mv $? $@

$(EBIN)/wings_icon_%.bundle: %/*.bmp %/*.png collect_bmp.beam about_wings.bmp
	erl $(ERL_FLAGS) -noinput -run collect_bmp start . $(ESRC)/$* $@ -s erlang halt

clean:
	for ICONSET in $(ICONSETS); do \
		rm -f $(EBIN)/wings_icon_$$ICONSET.bundle; \
	done
	rm -f collect_bmp.beam
	@echo

%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o. $<

=== intl_tools/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk

ESRC=.
EBIN=.
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

MODULES=tools

GEN_HEADER=wings_chars.hrl

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam) $(GEN_HEADER)

# Exclude generated wings_en.lang files
LANG_FILES= $(wildcard ../src/*[!en].lang)
#	$(wildcard ../plugins_src/*/*.lang)  takes to long...

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_FLAGS += 
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_FLAGS) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(GEN_HEADER): gen_char_hrl $(LANG_FILES)
	escript gen_char_hrl

=== src/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings 3D.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

include ../vsn.mk

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../ebin
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG +debug_info
else
TYPE_FLAGS=+debug_info
endif

ifeq ($(TYPE),wx)
USE_WX=-DUSE_WX=1
else
USE_WX=
endif

# All modules except wings_langs are mentioned here. It contains a parse
# transform needed for compiling the other modules, so we must use a special
# rule to ensure that it gets compiled before all other modules.

MODULES= \
	array \
	user_default \
	wings \
	wings_align \
	wings_body \
	wings_camera \
	wings_cl \
	wings_cc \
	wings_cc_ref \
	wings_collapse \
	wings_color \
	wings_console \
	wings_deform \
	wings_develop \
	wings_dialog \
	wings_dissolve \
	wings_dl \
	wings_drag \
	wings_draw \
	wings_draw_setup \
	wings_edge \
	wings_edge_cmd \
	wings_edge_loop \
	wings_export \
	wings_extrude_edge \
	wings_extrude_face \
	wings_face \
	wings_face_cmd \
	wings_facemat \
	wings_file \
	wings_ff_ndo \
	wings_ff_wings \
	wings_frame \
	wings_geom_win \
	wings_gl \
	wings_glfont \
	wings_help \
	wings_hotkey \
	wings_image \
	wings_image_viewer \
	wings_import \
	wings_io \
	wings_io_wx \
	wings_job \
	wings_light \
	wings_magnet \
	wings_material \
	wings_menu \
	wings_menu_util \
	wings_move \
	wings_msg \
	wings_outliner \
	wings_palette \
	wings_pb \
	wings_pick \
	wings_plugin \
	wings_pref \
	wings_pref_dlg \
	wings_proxy \
	wings_render \
	wings_rotate \
	wings_s \
	wings_sel \
	wings_sel_conv \
	wings_sel_cmd \
	wings_scale \
	wings_shaders \
	wings_shape \
	wings_shapes \
	wings_start \
	wings_status \
	wings_subdiv \
	wings_theme \
	wings_toolbar \
	wings_tesselation \
	wings_text \
	wings_tweak \
	wings_tweak_win \
	wings_u \
	wings_undo \
	wings_util \
	wings_va \
	wings_vbo \
	wings_vec \
	wings_vertex \
	wings_vertex_cmd \
	wings_view \
	wings_we \
	wings_we_build \
	wings_we_util \
	wings_wm \
	wpa \
	ww_color_ctrl \
	ww_color_slider

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I ../e3d $(TYPE_FLAGS) \
'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL) $(USE_WX)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug wx:
	$(MAKE) TYPE=$@ common

common: $(EBIN)/wings_lang.beam $(TARGET_FILES)

template: $(TARGET_FILES)
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template ../ebin -run erlang halt

lang: template
	@cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

clean:
	rm -f $(TARGET_FILES) $(EBIN)/wings_lang.beam
	rm -f core

$(EBIN)/wings_u.beam: $(ESRC)/wings_u.erl
	$(ERLC) '-Dwings_branch="$(WINGS_BRANCH)"' $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------
$(EBIN)/wings_export.beam $(EBIN)/wings_file.beam $(EBIN)/wings_help.beam $(EBIN)/wings_pref.beam $(EBIN)/wings_u.beam $(EBIN)/wpa.beam: ../vsn.mk

$(EBIN)/wings_text.beam: ../intl_tools/wings_chars.hrl

$(TARGET_FILES): $(EBIN)/wings_lang.beam wings.hrl

DEPENDENT_OF_E3D_HRL = \
	wings_draw \
	wings_export \
	wings_face \
	wings_file \
	wings_import \
	wings_job \
	wings_light \
	wings_pick \
	wings_plugin \
	wings_tesselation \
	wings_we \
	wpa

$(DEPENDENT_OF_E3D_HRL:%=$(EBIN)/%.beam): ../e3d/e3d.hrl

=== plugins_src/accel/Makefile ===
#
#  Makefile --
#
#     Makefile for building Wings "accelerator" helpers.
#
#  Copyright (c) 2004-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.11 2006/01/14 09:02:38 dgud Exp $
#
OS := $(shell uname -s)

ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
  USEMINGWGCC := true
  DEF_CC = mingw32-gcc
endif

ifdef MSYSTEM
 ifeq ($(MSYSTEM),$(filter $(MSYSTEM),MINGW32 MINGW64))
  USEMINGWGCC := true
  DEF_CC = gcc
 endif
endif

## UseMCL := $(shell cl.exe 2>&1 | grep Microsoft)

ifneq (x$(UseMCL),x)
  UseMCL = true
  USEMINGWGCC = false
  DEF_CC = cl.exe
endif

LIBDIR = ../../plugins/accel

ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),init:stop().' | erl | sed -n '/^1>/s/^1> //p')
ERL_INC = "$(ERL_DIR)/usr/include"
BEAM = $(LIBDIR)/wpc_pick.beam

UNIVERSAL_FLAGS =
COMMON_CFLAGS = -Wall

ifeq ($(UseMCL),true)
 OUT = -Fe:
 SO_EXT = dll
 LIBS = -LD
 CFLAGS = -nologo -Zi -Ox
else
 OUT = -o
 ifdef USEMINGWGCC
  SO_EXT = dll
  LIBS = -mdll
  GL_LIBS = -lopengl32 -lglu32
  CFLAGS = $(COMMON_CFLAGS) -Werror -O3
 else
  SO_EXT = so
  DEF_CC = $(CC)
  ifeq ($(OS),Darwin)
    CFLAGS = $(UNIVERSAL_FLAGS) $(COMMON_CFLAGS) -Werror -O3
    LIBS = $(UNIVERSAL_FLAGS) -bundle -flat_namespace -undefined suppress
    GL_LIBS =
  else
    LIBS = -shared -fpic
    GL_LIBS = -L/usr/local/lib -lGLU -lGL
    CFLAGS = $(COMMON_CFLAGS) -Werror -O3
  endif
 endif
endif

ifeq ($(GCC),)
    GCC = $(DEF_CC)
endif

ERLC = erlc
ERLC_FLAGS = -Werror -o $(LIBDIR) +debug_info

DRV = $(LIBDIR)/wings_pick_drv.$(SO_EXT)

TARGET_FILES=$(BEAM) $(DRV)

all: $(TARGET_FILES)

$(LIBDIR)/%.beam: %.erl
	install -d $(LIBDIR)
	$(ERLC) $(ERLC_FLAGS) $<

$(LIBDIR)/%.$(SO_EXT): %.c
	install -d $(LIBDIR)
	$(GCC) $(CFLAGS) -I$(ERL_INC) $(OUT) $@ $< $(LIBS) $(GL_LIBS)

clean:
	rm -f $(TARGET_FILES) vc*.pdb wings_pick_drv.obj
	rm -f core

=== plugins_src/autouv/Makefile ===
#
#  Makefile --
#
#     Makefile for building AutoUV.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.16 2006/01/17 23:22:01 dgud Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/autouv
ERLC=erlc
WINGS_SRC=../../src
WINGS_EBIN=../../ebin
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	auv_mapping \
	auv_matrix \
	auv_placement \
	auv_segment \
	auv_seg_ui \
	auv_texture \
	auv_util \
	wpc_snap \
	wpc_autouv


TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) subdirs

subdirs: 
	(cd shaders; $(MAKE))

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template $(EBIN) -run erlang halt

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(TARGET_FILES): auv.hrl

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== plugins_src/commands/Makefile ===
#
#  Makefile --
#
#     Makefile for building command plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.21 2006/06/29 19:57:58 giniu Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/commands
ERLC=erlc
WINGS_SRC=../../src
WINGS_EBIN=../../ebin
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_absolute_move \
	wpc_absolute_scale \
	wpc_ambocc \
	wpc_arc_intersect \
	wpc_bend \
	wpc_circularise \
	wpc_inset \
	wpc_connect_tool \
	wpc_constraints \
	wpc_cylindrilize \
	wpc_corner \
	wpc_deselect_previous \
	wpc_doosabin \
	wpc_explode \
	wpc_flow_connect \
	wpc_grid_snap \
	wpc_intersect_edge \
	wpc_intersect_vertex \
	wpc_magnet_mask \
	wpc_move_planar \
	wpc_numeric_camera \
	wpc_plane_cut \
	wpc_region \
	wpc_rotate_unconstrained \
	wpc_sculpt \
	wpc_sel_win \
	wpc_shear \
	wpc_shift \
	wpc_sweep_extrude \
	wpc_turnedge \
	wpc_untriangulate \
	wpc_views_win \
	wpc_weld

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -I $(WINGS_SRC) \
   -I $(WINGS_E3D) $(TYPE_FLAGS) \
  +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_constraints.beam: $(WINGS_E3D)/e3d.hrl

=== plugins_src/import_export/Makefile ===
#
#  Makefile --
#
#     Makefile for building import/export plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.25 2006/09/06 22:52:18 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/import_export
ERLC=erlc
WINGS_SRC=../../src
WINGS_EBIN=../../ebin
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_3ds \
	wpc_ai \
	wpc_bzw \
	wpc_collada \
	collada_import \
	wpc_hlines \
	wpc_kerky \
	wpc_lwo \
	wpc_obj \
	wpc_pov \
	wpc_ps \
	wpc_rwx \
	wpc_stl \
	wpc_svg_path \
	wpc_wrl \
	wpc_x \
	wpc_yafaray

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror \
  -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_INTL) \
  -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

# ----------------------------------------------------
# Dependencies
# ----------------------------------------------------

$(TARGET_FILES): $(WINGS_E3D)/e3d.hrl

=== plugins_src/autouv/shaders/Makefile ===
#
#  Makefile --
#
#     Makefile for copying shaders
#
#  Copyright (c) 2006 Dan Gudmundsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.5 2006/01/27 15:17:56 dgud Exp $
#

DIR = ../../../plugins/autouv

FILES = standard.vs \
	wpc_wood.auv \
	wood.fs \
	wpc_filter.auv \
	image_filter.fs \
	wpc_edgefilter.auv \
	edge_filter.fs \
	wpc_brick.auv \
	brick.fs \
	wpc_hexagon.auv \
	hexagon.fs \
	wpc_tile.auv \
	tile.fs \
	wpc_stripes.auv \
	stripes.fs \
	wpc_voronoi.auv \
	voronoi.fs \
	wpc_marble.auv \
	marble.fs \
	wpc_noise_ext.auv \
	noise_ext.fs \
	wpc_lava.auv \
	lava.fs \
	wpc_caustics.auv \
	caustics.fs \
	wpc_camuflage.auv \
	camuflage.fs \
	README-shaders.txt


TARGETFILES = $(FILES:%=$(DIR)/%)

all: $(TARGETFILES)

$(DIR)/%: ./%
	install -d $(DIR)
	install $< $@

clean:
	rm -f $(TARGETFILES)
	rm -f core

=== debian/changelog ===
wings3d (2.1.5-3) unstable; urgency=medium

  * Disable full scene antialiasing because it makes Wings 3D crash on
    Wayland and/or certiang hardware which doesn't suppor FSAA
    (closes: #861086).
  * Bumped debhelper compatibility level to 10.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Nov 2017 09:34:33 +0300

wings3d (2.1.5-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS when building with
    Erlang/OTP 20 (closes: #871369).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 08 Aug 2017 00:40:12 +0300

wings3d (2.1.5-1) unstable; urgency=medium

  * New upstream release. Refreshed patches, removed irrelevant ones.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jan 2017 11:49:09 +0300

wings3d (1.5.4-2) unstable; urgency=medium

  * Added a patch by upstream which fixes FTBFS with Erlang 19 due to
    deprecated module usage and redefining predefined macro name.
  * Bumped the minimum Erlang version requirement to 18.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 14:17:18 +0300

=== debian/control ===
Source: wings3d
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10.0.0), grep-dctrl,
 erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
Standards-Version: 4.1.1
Homepage: http://www.wings3d.com


Package: wings3d
Architecture: any
Depends: ${erlang-base:Depends}, ${erlang-abi:Depends}, ${erlang-wx:Depends},
 ${erlang-xmerl:Depends}, ${erlang-esdl:Depends}, erlang-cl,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: ${erlang-dialyzer:Depends}, ${erlang-tools:Depends}, yafaray | aqsis
Description: Nendo-inspired 3D polygon mesh modeller
 Wings 3D is a polygon mesh modeller written entirely in Erlang.  The
 user interface was designed to be easy to use for both beginners and
 advanced users alike.  It was inspired by the famous Nendo modeller
 (from Izware.)
 .
 Unlike similar modelling programs (such as Blender), this program
 does not provide native support for doing animations (though you can
 output its models to an animation tool.)
 .
 Wings 3D supports the following import formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), and Adobe Illustrator 8 (AI).
 .
 Wings 3D supports the following export formats: Nendo (NDO),
 3D Studio (3DS), Wavefront (OBJ), VRML (WRL), Renderman (RIB),
 Hash:Animation Master (MDL), Renderware (RWX), Yafray, Toxic,
 and FBX via a third-party plug-in.
 .
 Open Source Erlang is a functional programming language designed at
 the Ericsson Computer Science Laboratory.

=== debian/rules ===
#!/usr/bin/make -f

-include vsn.mk

export HOME := $(CURDIR)/debian
DIR := debian/wings3d
LIBDIR := /usr/lib/erlang/lib/wings-$(WINGS_VSN)
LINTIANDIR := /usr/share/lintian/overrides
SUBDIRS := ebin plugins shaders textures

%:
	dh $@

vsn.mk:
	$(MAKE) vsn.mk

override_dh_clean:
	rm -rf plugins/accel
	rm -rf plugins/jpeg
	find plugins -name '*.lang' -exec rm -f \{\} \;
	rm -f ebin/*.lang
	rm -f src/wings_en.lang
	rm -f plugins_src/autouv/autouv_en.lang
	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'

override_dh_auto_build:
	$(MAKE)
	$(MAKE) lang

override_dh_install:
	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
	# Remove errant executable flags to please lintian
	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
	# prepare substvars file
	erlang-depends
	grep-status -s Version -PX erlang-esdl | \
	    sed -e's!^Version: \(.*\)-.*!erlang-esdl:Depends=erlang-esdl (>= \1)!' \
	    >> debian/wings3d.substvars

get-orig-source:
	wget -O wings3d_2.1.5.orig.tar.bz2 \
	    http://prdownloads.sourceforge.net/wings/wings-2.1.5.tar.bz2

.PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source

## wings3d 2.1.7

=== e3d/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	e3d__tri_quad \
 	e3d__meshclean \
 	e3d__bmp \
+	e3d__dds \
 	e3d__tga \
 	e3d__png \
 	e3d__tif \

=== plugins_src/Makefile ===
#
#  Makefile --
#
#     Makefile for building the plug-ins.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.20 2006/01/19 22:30:47 giniu Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../intl_tools
EBIN=../plugins/default
ERLC=erlc

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wp9_dialogs

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

common: $(TARGET_FILES) subdirs

subdirs:
	(cd accel; $(MAKE))
	(cd import_export; $(MAKE))
	(cd primitives; $(MAKE))
	(cd commands; $(MAKE))
	(cd autouv; $(MAKE))

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: subdirs_lang template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

subdirs_lang:
	(cd import_export; $(MAKE) lang)
	(cd primitives; $(MAKE) lang)
	(cd commands; $(MAKE) lang)
	(cd autouv; $(MAKE) lang)

clean: subdirs_clean
	rm -f $(TARGET_FILES)
	rm -f core

subdirs_clean:
	(cd accel; $(MAKE) clean)
	(cd import_export; $(MAKE) clean)
	(cd primitives; $(MAKE) clean)
	(cd commands; $(MAKE) clean)
	(cd autouv; $(MAKE) clean)

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

=== src/Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 # rule to ensure that it gets compiled before all other modules.
 
 MODULES= \
-	array \
 	user_default \
 	wings \
 	wings_align \
@@ -46,7 +45,6 @@
 	wings_camera \
 	wings_cl \
 	wings_cc \
-	wings_cc_ref \
 	wings_collapse \
 	wings_color \
 	wings_console \
@@ -76,6 +74,7 @@
 	wings_glfont \
 	wings_help \
 	wings_hotkey \
+	wings_info \
 	wings_image \
 	wings_image_viewer \
 	wings_import \
@@ -89,6 +88,7 @@
 	wings_menu_util \
 	wings_move \
 	wings_msg \
+	wings_obj \
 	wings_outliner \
 	wings_palette \
 	wings_pb \
@@ -105,11 +105,11 @@
 	wings_sel_cmd \
 	wings_scale \
 	wings_shaders \
-	wings_shape \
 	wings_shapes \
 	wings_start \
 	wings_status \
 	wings_subdiv \
+	wings_sup \
 	wings_theme \
 	wings_toolbar \
 	wings_tesselation \
@@ -131,9 +131,18 @@
 	wings_wm \
 	wpa \
 	ww_color_ctrl \
-	ww_color_slider
+	ww_color_slider \
+	jsone \
+	jsone_decode \
+	jsone_encode
 
 TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)
+
+WINGS_MODS= $(MODULES:%=%,)wings_lang
+
+APP_FILE   = wings.app
+APP_SRC    = $(APP_FILE).src
+APP_TARGET = $(EBIN)/$(APP_FILE)
 
 # ----------------------------------------------------
 # FLAGS
@@ -148,7 +157,7 @@
 opt debug wx:
 	$(MAKE) TYPE=$@ common
 
-common: $(EBIN)/wings_lang.beam $(TARGET_FILES)
+common: $(EBIN)/wings_lang.beam $(TARGET_FILES) $(APP_TARGET)
 
 template: $(TARGET_FILES)
 	erl -pa $(WINGS_INTL) -noinput -run tools generate_template ../ebin -run erlang halt
@@ -166,6 +175,11 @@
 
 $(EBIN)/%.beam: $(ESRC)/%.erl
 	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<
+
+$(APP_TARGET): $(APP_SRC) ../vsn.mk Makefile
+	$(gen_verbose)sed -e 's;%WINGS_MODS%;$(WINGS_MODS);' $< > $@.tmp
+	$(vsn_verbose)sed -e 's;%VSN%;$(WINGS_VSN);' $@.tmp > $@
+	$(V_at)rm $@.tmp
 
 # ----------------------------------------------------
 # Dependencies

=== plugins_src/accel/Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 
 LIBDIR = ../../plugins/accel
 
-ERL_DIR := $(shell echo 'io:format("~s~n",[code:root_dir()]),init:stop().' | erl | sed -n '/^1>/s/^1> //p')
+FRD = 'io:fwrite("~n=:~s~n",[code:root_dir()]),init:stop().'
+ERL_DIR := $(shell echo $(FRD) | erl | sed -n '/^=:/s/^=://p')
 ERL_INC = "$(ERL_DIR)/usr/include"
 BEAM = $(LIBDIR)/wpc_pick.beam

=== plugins_src/autouv/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	auv_seg_ui \
 	auv_texture \
 	auv_util \
-	wpc_snap \
+	wpc_snap_win \
 	wpc_autouv

=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	wpc_bzw \
 	wpc_collada \
 	collada_import \
+	wpc_gltf \
 	wpc_hlines \
 	wpc_kerky \
 	wpc_lwo \

=== plugins_src/autouv/shaders/Makefile ===
--- 
+++ 
@@ -38,8 +38,8 @@
 	lava.fs \
 	wpc_caustics.auv \
 	caustics.fs \
-	wpc_camuflage.auv \
-	camuflage.fs \
+	wpc_camouflage.auv \
+	camouflage.fs \
 	README-shaders.txt

=== debian/changelog ===
wings3d (2.1.7-3) unstable; urgency=medium

  * Fix FTBFS with Erlang/OTP 21 (closes: #909982).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 01 Oct 2018 07:15:08 +0300

wings3d (2.1.7-2) unstable; urgency=medium

  * Upload to unstable since this release is marked stable upstream.
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 02 Aug 2018 18:38:03 +0300

wings3d (2.1.7-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 Jun 2018 08:51:04 +0300

wings3d (2.1.6-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches, remove the patch which was necessary to build with
    Erlang/OTP 20.
  * Add a hack to build the package without patching include_lib directives.
  * Add the Salsa VCS headers to debian/changelog.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Mar 2018 09:50:37 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 10.0.0), grep-dctrl,
  erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.wings3d.com
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git
 
 
 Package: wings3d

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,21 @@
 	rm -f ebin/*.lang
 	rm -f src/wings_en.lang
 	rm -f plugins_src/autouv/autouv_en.lang
+	rm -rf wings-$(WINGS_VSN)
 	dh_clean vsn.mk erl_crash.dump '*.beam' '*.so'
 
+FAKE_BUILD = $(CURDIR)/wings-$(WINGS_VSN)
+export ERL_COMPILE_FLAGS := -pa $(FAKE_BUILD)/ebin
+
 override_dh_auto_build:
+	# HACK: build process can't find some include files because of naming
+	# of the build directory wings3d-<vsn> instead of wings-<vsn>, so
+	# create the desired directory inside the current one
+	mkdir $(FAKE_BUILD)
+	ln -s ../src $(FAKE_BUILD)/src
+	ln -s ../e3d $(FAKE_BUILD)/e3d
+	ln -s ../intl_tools $(FAKE_BUILD)/intl_tools
+	ln -s ../ebin $(FAKE_BUILD)/ebin
 	$(MAKE)
 	$(MAKE) lang
 
@@ -38,7 +50,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_2.1.5.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-2.1.5.tar.bz2
+	wget -O wings3d_2.1.6.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-2.1.6.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source

## wings3d 2.2.4

=== Makefile ===
--- 
+++ 
@@ -8,21 +8,37 @@
 #  See the file "license.terms" for information on usage and redistribution
 #  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 #
+
+# Check if OpenCL package is needed
+ifeq ($(WSLcross), true)
+ERL = erl.exe
+else
+ERL = erl
+endif
+
+CL_PATH = $(shell $(ERL) -noshell -eval 'erlang:display(code:which(cl))' -s erlang halt)
+ifneq (,$(findstring non_existing, $(CL_PATH)))
+DEPS = cl
+CL_VER=cl-1.2.4
+endif
+
 .PHONY: all debug clean lang
 
-all:
+all: $(DEPS)
 	(cd intl_tools; $(MAKE))
 	(cd src; $(MAKE))
 	(cd e3d; $(MAKE))
 	(cd plugins_src; $(MAKE))
 	(cd icons; $(MAKE))
+	@cat _deps/build_log 2> /dev/null || true
 
-debug:
+debug: $(DEPS)
 	(cd intl_tools; $(MAKE) debug)
 	(cd src; $(MAKE) debug)
 	(cd e3d; $(MAKE) debug)
 	(cd plugins_src; $(MAKE) debug)
 	(cd icons; $(MAKE) debug)
+	@cat _deps/build_log 2> /dev/null || true
 
 clean:
 	(cd intl_tools; $(MAKE) clean)
@@ -79,3 +95,17 @@
 	tar rf $(WINGS_TARNAME).tar $(WINGS_TARNAME)/version
 	@rm -r $(WINGS_TARNAME)
 	bzip2 -f -9 $(WINGS_TARNAME).tar
+
+#
+# cl (erl wrapper library) not in path try to download and build it
+#
+
+CL_REPO = https://github.com/tonyrog/cl.git
+
+.PHONY: cl
+cl: _deps/cl
+	@(cd _deps/cl; rebar3 compile > ../build_log 2>&1 && rm ../build_log) \
+	  || echo ***Warning*** OpenCL not useable >> _deps/build_log
+
+_deps/cl:
+	git -c advice.detachedHead=false clone --depth 1 -b $(CL_VER) $(CL_REPO) _deps/cl

=== e3d/Makefile ===
--- 
+++ 
@@ -35,10 +35,9 @@
 	e3d_util \
 	e3d_vec \
 	e3d_q \
-	e3d_qbvh \
 	e3d_bv \
+	e3d_bvh \
 	e3d_kd3 \
-	orig_kd3 \
 	e3d__tri_quad \
 	e3d__meshclean \
 	e3d__bmp \

=== plugins_src/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 WINGS_INTL=../intl_tools
 EBIN=../plugins/default
 ERLC=erlc
+WINGS_TOP=../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -33,7 +34,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)
+ERL_COMPILE_FLAGS += -Werror $(TYPE_FLAGS) +debug_info -pa $(WINGS_INTL) -I $(WINGS_TOP)
 
 # ----------------------------------------------------
 # Targets

=== src/Makefile ===
--- 
+++ 
@@ -27,12 +27,6 @@
 TYPE_FLAGS=+debug_info
 endif
 
-ifeq ($(TYPE),wx)
-USE_WX=-DUSE_WX=1
-else
-USE_WX=
-endif
-
 # All modules except wings_langs are mentioned here. It contains a parse
 # transform needed for compiling the other modules, so we must use a special
 # rule to ensure that it gets compiled before all other modules.
@@ -42,6 +36,7 @@
 	wings \
 	wings_align \
 	wings_body \
+	wings_bool \
 	wings_camera \
 	wings_cl \
 	wings_cc \
@@ -147,8 +142,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -I ../e3d $(TYPE_FLAGS) \
-'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL) $(USE_WX)
+ERL_COMPILE_FLAGS += -Werror -I ../.. -I../_deps $(TYPE_FLAGS) \
+'-Dwings_version="$(WINGS_VSN)"' -pa $(WINGS_INTL)
 
 # ----------------------------------------------------
 # Targets

=== win32/Makefile ===
#
#  Makefile --
#
#     Makefile for building the Wings3D.exe wrapper
#     for starting Wings.
#
#  Copyright (c) 2003-2009 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id$
#

LIBS = -lkernel32 -luser32 -ladvapi32

ifeq ($(findstring CYGWIN,$(shell uname -s)),CYGWIN)
  GCC = mingw32-gcc
else
  GCC = gcc
endif


Wings3D.exe: wings3d.c wings3d_res.o
	$(GCC) -o Wings3D.exe wings3d.c wings3d_res.o -mwindows $(LIBS)

wings3d_res.o: wings3d.rc
	windres -i wings3d.rc -o wings3d_res.o

=== plugins_src/accel/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 #
 OS := $(shell uname -s)
 
+ERL=erl
+
 ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
   USEMINGWGCC := true
   DEF_CC = mingw32-gcc
@@ -21,6 +23,11 @@
  ifeq ($(MSYSTEM),$(filter $(MSYSTEM),MINGW32 MINGW64))
   USEMINGWGCC := true
   DEF_CC = gcc
+ endif
+else
+ ifeq ($(WSLcross), true)
+  UseMCL = true
+  ERL = erl.exe
  endif
 endif
 
@@ -35,7 +42,7 @@
 LIBDIR = ../../plugins/accel
 
 FRD = 'io:fwrite("~n=:~s~n",[code:root_dir()]),init:stop().'
-ERL_DIR := $(shell echo $(FRD) | erl | sed -n '/^=:/s/^=://p')
+ERL_DIR := $(shell echo $(FRD) | $(ERL) | sed -n '/^=:/s/^=://p')
 ERL_INC = "$(ERL_DIR)/usr/include"
 BEAM = $(LIBDIR)/wpc_pick.beam
 
@@ -46,14 +53,14 @@
  OUT = -Fe:
  SO_EXT = dll
  LIBS = -LD
- CFLAGS = -nologo -Zi -Ox
+ CFLAGS += -nologo -Zi -Ox
 else
  OUT = -o
  ifdef USEMINGWGCC
   SO_EXT = dll
   LIBS = -mdll
-  GL_LIBS = -lopengl32 -lglu32
-  CFLAGS = $(COMMON_CFLAGS) -Werror -O3
+  GL_LIBS += -lopengl32 -lglu32
+  CFLAGS += $(COMMON_CFLAGS) -Werror -O3
  else
   SO_EXT = so
   DEF_CC = $(CC)
@@ -63,8 +70,8 @@
     GL_LIBS =
   else
     LIBS = -shared -fpic
-    GL_LIBS = -L/usr/local/lib -lGLU -lGL
-    CFLAGS = $(COMMON_CFLAGS) -Werror -O3
+    GL_LIBS += -L/usr/local/lib -lGLU -lGL
+    CFLAGS += $(COMMON_CFLAGS) -Werror -O3
   endif
  endif
 endif

=== plugins_src/autouv/Makefile ===
--- 
+++ 
@@ -18,9 +18,7 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/autouv
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
-WINGS_E3D=../../e3d
+WINGS_TOP=../../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -45,7 +43,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets
@@ -56,7 +54,7 @@
 
 common: $(TARGET_FILES) subdirs
 
-subdirs: 
+subdirs:
 	(cd shaders; $(MAKE))
 
 template: opt
@@ -67,6 +65,7 @@
 	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)
 
 clean:
+	(cd shaders; $(MAKE) clean)
 	rm -f $(TARGET_FILES)
 	rm -f core

=== plugins_src/commands/Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/commands
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
+WINGS_TOP=../../..
 WINGS_E3D=../../e3d
 
 ifeq ($(TYPE),debug)
@@ -47,6 +46,7 @@
 	wpc_grid_snap \
 	wpc_intersect_edge \
 	wpc_intersect_vertex \
+	wpc_isometric_view \
 	wpc_magnet_mask \
 	wpc_move_planar \
 	wpc_numeric_camera \
@@ -68,9 +68,7 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_EBIN) -I $(WINGS_SRC) \
-   -I $(WINGS_E3D) $(TYPE_FLAGS) \
-  +debug_info -pa $(WINGS_INTL) -I $(WINGS_INTL)
+ERL_COMPILE_FLAGS += -pa $(WINGS_INTL) -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/import_export/Makefile ===
--- 
+++ 
@@ -18,9 +18,8 @@
 WINGS_INTL=../../intl_tools
 EBIN=../../plugins/import_export
 ERLC=erlc
-WINGS_SRC=../../src
-WINGS_EBIN=../../ebin
 WINGS_E3D=../../e3d
+WINGS_TOP=../../..
 
 ifeq ($(TYPE),debug)
 TYPE_FLAGS=-DDEBUG
@@ -39,6 +38,7 @@
 	wpc_kerky \
 	wpc_lwo \
 	wpc_obj \
+	wpc_ply \
 	wpc_pov \
 	wpc_ps \
 	wpc_rwx \
@@ -53,9 +53,8 @@
 # ----------------------------------------------------
 # FLAGS
 # ----------------------------------------------------
-ERL_COMPILE_FLAGS += -Werror \
-  -pa $(WINGS_EBIN) -pa $(WINGS_INTL) -I $(WINGS_INTL) \
-  -I $(WINGS_SRC) -I $(WINGS_E3D) $(TYPE_FLAGS) +debug_info
+ERL_COMPILE_FLAGS += -Werror -pa $(WINGS_INTL) \
+  -I $(WINGS_TOP) $(TYPE_FLAGS) +debug_info
 
 # ----------------------------------------------------
 # Targets

=== plugins_src/primitives/Makefile ===
#
#  Makefile --
#
#     Makefile for building plug-ins for primitives.
#
#  Copyright (c) 2001-2013 Bjorn Gustavsson
#
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#     $Id: Makefile,v 1.14 2006/08/02 22:44:40 antoneos Exp $
#

.SUFFIXES: .erl .jam .beam .yrl .xrl .bin .mib .hrl .sgml .html .ps .3 .1 \
	.fig .dvi .tex .class .java .pdf .psframe .pscrop

ESRC=.
WINGS_INTL=../../intl_tools
EBIN=../../plugins/primitives
ERLC=erlc
WINGS_TOP=../../..
WINGS_E3D=../../e3d

ifeq ($(TYPE),debug)
TYPE_FLAGS=-DDEBUG
else
TYPE_FLAGS=
endif

MODULES= \
	wpc_bbox \
	wpc_cylinder \
	wpc_geodome \
	wpc_image \
	wpc_knot \
	wpc_ncube \
	wpc_plane \
	wpc_spiral \
	wpc_torus \
	wpc_tt

TARGET_FILES= $(MODULES:%=$(EBIN)/%.beam)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror -I $(WINGS_TOP) $(TYPE_FLAGS) -pa $(WINGS_INTL) +debug_info

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

opt debug:
	$(MAKE) TYPE=$@ common

template: opt
	erl -pa $(WINGS_INTL) -noinput -run tools generate_template_files $(EBIN)

lang: template
	cp *.lang $(EBIN)
	erl -pa $(WINGS_INTL) -noinput -run tools diff_lang_files $(EBIN)

common: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

$(EBIN)/%.beam: $(ESRC)/%.erl
	$(ERLC) $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/wpc_image.beam $(EBIN)/wpc_tt.beam: $(WINGS_E3D)/e3d.hrl

=== debian/changelog ===
wings3d (2.2.4-4) unstable; urgency=medium

  * Add the GDK_BACKEND=x11 environment variable to /etc/wings3d.rc to fix
    segfaulting under Wayland with prospective erlang-wx version.
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2019 20:37:44 +0300

wings3d (2.2.4-3) unstable; urgency=medium

  * Rebuild for the source only upload.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Jul 2019 08:35:17 +0300

wings3d (2.2.4-2) unstable; urgency=medium

  * Upload to unstable because the buster freeze is over.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jul 2019 07:37:57 +0300

wings3d (2.2.4-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream stable release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 Apr 2019 12:58:13 +0300

wings3d (2.2.3-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.
  * Delete forgotten .gitignore from the binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Mar 2019 17:04:03 +0300

wings3d (2.2.2-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches. Remove no longer necessary ones.
  * Bump the standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Feb 2019 09:15:51 +0300

wings3d (2.2.1-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream development release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Dec 2018 10:22:48 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10.0.0), grep-dctrl,
  erlang-dev (>= 1:18.0), erlang-esdl-dev (>= 1.2), erlang-cl, erlang-wx,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://www.wings3d.com
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/wings3d
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/wings3d.git

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,8 @@
 	dh_install -XREADME $(SUBDIRS) $(LIBDIR)
 	# Remove errant executable flags to please lintian
 	find $(DIR)$(LIBDIR) -type f -exec chmod a-x \{\} \;
+	# Remove the .gitignore
+	find $(DIR) -name .gitignore -delete
 	# prepare substvars file
 	erlang-depends
 	grep-status -s Version -PX erlang-esdl | \
@@ -50,7 +52,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_2.1.6.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-2.1.6.tar.bz2
+	wget -O wings3d_2.2.1.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-2.2.1.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
